from django.contrib import admin
from mptt.admin import DraggableMPTTAdmin

from audiothek.models import Audiofile, RadioReport, RadioReportCategory
from core.admin import SoftDeleteModelAdmin


admin.site.register(Audiofile, SoftDeleteModelAdmin)
admin.site.register(RadioReport, SoftDeleteModelAdmin)
# admin.site.register(RadioReportCategory, MPTTModelAdmin)
admin.site.register(
    RadioReportCategory,
    DraggableMPTTAdmin,
    list_display=(
        'tree_actions',
        'indented_title',
        # ...more fields if you feel like it...
    ),
    list_display_links=(
        'indented_title',
    ),
    mptt_level_indent=50,
)
