# Generated by Django 2.2.1 on 2019-05-21 00:01

from django.db import migrations


def fill_container_and_codec(apps, schema_editor):
    Audiofile = apps.get_model('audiothek', 'Audiofile')
    for af in Audiofile.objects.filter(transcoded_from=None):
        if af.audiofile.name.endswith('.mp3'):
            af.codec = 'audio/mpeg'
            af.container = None
            af.save()


def fix_container(apps, schema_editor):
    Audiofile = apps.get_model('audiothek', 'Audiofile')
    for af in Audiofile.objects.filter(transcoded_from=None):
        if af.audiofile.name.endswith('.mp3'):
            af.container = ''
            af.save()


class Migration(migrations.Migration):

    dependencies = [
        ('audiothek', '0061_auto_20190521_0109'),
    ]

    operations = [
        migrations.RunPython(fill_container_and_codec, fix_container)
    ]
