# Generated by Django 2.2.4 on 2019-09-05 10:15

from django.db import migrations


def copy_image_paths(apps, schema_editor):
    Image = apps.get_model('core', 'Image')
    RadioReport = apps.get_model('audiothek', 'RadioReport')

    for report in RadioReport.objects.all():
        if report.cover_image:
            image = Image.objects.create(image_file=report.cover_image)
            report.cover_image_new = image
            report.save()


class Migration(migrations.Migration):

    dependencies = [
        ('audiothek', '0073_radioreport_cover_image_new'),
        ('core', '0015_image'),
    ]

    operations = [
        migrations.RunPython(copy_image_paths),
    ]
