from django.utils import six


def taggit_select2_format_value(self, value):
    """Return the list of HTML option values for a form field value."""
    if not isinstance(value, (tuple, list)):
        value = [value]
    values = set()
    for v in value:
        if not v:
            continue
        if isinstance(v, six.string_types):
            for t in v.split(','):
                values.add(self.option_value(t))
        else:
            values.add(self.option_value(v))
    return values


def taggit_select2_options(self, name, value, attrs=None):
    """Return only select options."""
    # When the data hasn't validated, we get the raw input
    if isinstance(value, six.text_type):
        value = value.split(',')

    for v in value:
        if not v:
            continue

        real_values = v.split(',') if hasattr(v, 'split') else v
        yield self.option_value(real_values)
