from django.urls import path

from audiothek.views import AudiofileCreate, AudiofileFromRecordingCreate, AudiofileDelete, \
        quick_add_broadcast_to_report, add_moderation_to_report,\
        ReportModerationSelect, remove_moderation_from_report, ReportList, \
        ReportCreate, ReportQuickCreate, ReportDetail, ReportUpdate, ReportDelete, \
        AudiofileUpdate, RadioReportBroadcastSelect, \
        ContentTagAutocomplete, ReportRoleCreate, ReportRoleDelete,\
        change_reportrole_visibility, move_audiofile

urlpatterns = [
    path('reports/', ReportList.as_view(), name='list-reports'),
    path('reports/add/', ReportCreate.as_view(), name='create-report'),
    path('reports/quickadd/', ReportQuickCreate.as_view(), name='quick-create-report'),
    path('reports/add/broadcast/<int:broadcast>/',
         ReportCreate.as_view(), name='create-report-for-broadcast'),
    path('reports/<int:pk>/', ReportDetail.as_view(), name='show-report'),
    path('reports/<int:pk>/edit/', ReportUpdate.as_view(), name='update-report'),
    path('reports/<int:pk>/delete/', ReportDelete.as_view(), name='delete-report'),

    path('reports/<int:report_pk>/files/add/', AudiofileCreate.as_view(), name='create-audiofile'),
    path(
        'reports/<int:report_pk>/files/add/recording/', AudiofileFromRecordingCreate.as_view(),
        name='create-audiofile-from-recording'),
    path('reports/files/<int:pk>/edit/', AudiofileUpdate.as_view(), name='update-audiofile'),
    path('reports/files/<int:pk>/delete/', AudiofileDelete.as_view(), name='delete-audiofile'),
    path('reports/files/<int:audiofile_pk>/move/<action>',
         move_audiofile, name='move-audiofile'),

    path(
        'reports/<int:report_pk>/broadcast/<int:broadcast_pk>/quickadd/',
        quick_add_broadcast_to_report,
        name='quick-add-broadcast-to-report'),
    path(
        'reports/<int:report_pk>/add-broadcast/',
        RadioReportBroadcastSelect.as_view(),
        name='select-broadcast-for-report'),

    path('reports/<int:report_pk>/add-moderation/<int:moderation_pk>',
         add_moderation_to_report, name='add-moderation-to-report'),

    path('reports/<int:report_pk>/select-broadcast/',
         ReportModerationSelect.as_view(), name='select-moderation-for-report'),

    path('reports/<int:report_pk>/remove-moderation/<int:moderation_pk>',
         remove_moderation_from_report, name='remove-moderation-from-report'),

    path('reports/<int:report_pk>/roles/add/', ReportRoleCreate.as_view(),
         name='create-report-role'),
    path('reports/roles/<int:pk>/delete/', ReportRoleDelete.as_view(),
         name='delete-report-role'),
    path(
        'reportrole/<int:role_pk>/change-visibility/',
        change_reportrole_visibility,
        name='change-reportrole-visibility'),

    path('tag-autocomplete/', ContentTagAutocomplete.as_view(), name='tag-autocomplete'),
]
