from django.contrib import admin

from core.models import License

admin.site.register(License)


class SoftDeleteModelAdmin(admin.ModelAdmin):

    def get_queryset(self, request):
        qs = self.model.admin_objects.get_queryset()
        ordering = self.get_ordering(request)
        if ordering:
            qs = qs.order_by(*ordering)
        return qs
