# Generated by Django 2.1.12 on 2019-09-17 09:02
from enum import Enum

from django.db import migrations


class RoleName(Enum):
    creator = 'hochgeladen von'
    editor = 'Redaktion'
    cutter = 'Schnitt'
    translator = 'Übersetzung'
    interviewer = 'Interview'


def copy_roles(apps, schema_editor):
    UserRole = apps.get_model('core', 'UserRole')
    NewRole = apps.get_model('core', 'NewRole')

    for user_role in UserRole.objects.all():
        try:
            name = RoleName[user_role.role.name]
            NewRole.objects.create(
                    _name=name.name, user=user_role.user, report=user_role.report,
                    audiofile=user_role.audiofile, program=user_role.program,
                    broadcast=user_role.broadcast)
        except KeyError:
            print('WARNING: ignoring role "{}"'.format(user_role.role.name))


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0016_newrole'),
    ]

    operations = [
        migrations.RunPython(copy_roles),
    ]
