# Generated by Django 2.2.7 on 2020-01-01 20:28

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('program', '0052_broadcast_deletion_time'),
        ('core', '0021_auto_20190929_1621'),
    ]

    operations = [
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('publications', models.ManyToManyField(blank=True, null=True, related_name='departments', to='program.RadioProgram')),
            ],
        ),
        migrations.RemoveField(
            model_name='role',
            name='broadcast',
        ),
        migrations.RemoveField(
            model_name='role',
            name='program',
        ),
        migrations.CreateModel(
            name='DepartmentRole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(choices=[('voluntary', 'Ehrenamt'), ('instructor', 'Fachanleitung'), ('voluntary_service', 'Freiwilligendienst'), ('employee', 'Mitarbeit'), ('trainee', 'Praktikum'), ('head', 'Redaktionsleitung')], max_length=31)),
                ('start_date', models.DateField()),
                ('end_date', models.DateField(blank=True, null=True)),
                ('department', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='roles', to='core.Department')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='BroadcastRole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(choices=[('host', 'Moderator*in'), ('news', 'Nachrichtensprecher*in'), ('editor', 'Redakteur*in'), ('editor_duty', 'Redakteur*in vom Dienst')], max_length=31)),
                ('broadcast', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='roles', to='program.Broadcast')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
