from django import template
import time

register = template.Library()


@register.inclusion_tag('core/_field.html')
def field(form_field, **kwargs):
    kwargs['field'] = form_field
    return kwargs


@register.inclusion_tag('core/_checkbox_field.html')
def field_checkbox(form_field, **kwargs):
    kwargs['field'] = form_field
    return kwargs


@register.inclusion_tag('core/_link.html')
def link(model, title=None):
    return {'model': model, 'title': title}


@register.filter(name='inttotime')
def inttotime(value):
    return time.strftime('%H:%M:%S', time.gmtime(value))


@register.filter(name='khz')
def khz(value):
    return value / 1000


@register.filter(name='kbps')
def kbps(value):
    return int(value / 1000)
