from django.urls import include, path

from core.views import ProfileUpdateView, index, DepartmentList,\
    DepartmentDetail, UserList, UserDetail, UserAutocomplete

urlpatterns = [
    path('', index, name='home'),
    path('accounts/', include('django.contrib.auth.urls')),
    path('profiles/edit/', ProfileUpdateView.as_view(), name='update-profile'),
    path('departments/', DepartmentList.as_view(), name='list-departments'),
    path('departments/<int:pk>/', DepartmentDetail.as_view(), name='show-department'),
    path('profiles/', UserList.as_view(), name='list-users'),
    path('profiles/<int:pk>', UserDetail.as_view(), name='show-user'),
    path('profiles/autocomplete/', UserAutocomplete.as_view(), name='user-autocomplete'),
]
