"""
These settings are only used during deb packaging and are selected by setting the
DJANGO_SETTINGS_MODULE environment variable to lohrothek.packaging_settings. They
allow use to run tests and call some of django’s internal management commands
like collectstatic even though no local configuration has been provided.

Please DO NOT use them for any other purpose!
"""

# We usually import a local configuration from settings, but this time we just import
# the default settings and define ours on top. This works because this file is the
# default settings file during packaging.
from .settings import *  # noqa: F401, F403

# Set a dummy SECRET_KEY. Most of django’s functionality does not work if it’s missing.
SECRET_KEY = 'THIS_SECRET_KEY_IS_NOT_USED_FOR_ANY_REAL_DATA_AS_LONG_AS_THIS_CONFIGURATION_' \
             'IS_ONLY_USED_DURING_PACKAGING'

# Tests are being executed during packaging. We define an in-memory sqlite database for that.
DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        # omitting NAME is usually sufficient in order to tell django to use an
        # in-memory database, but `manage.py makemigrations --check` is picky
        # and wants us to provide a NAME value nonetheless
        'NAME': ':memory:'
    }
}
