.PHONY: app_collect_static
app_collect_static: virtualenv-update assets_webpack
	( . "$(ACTIVATE_VIRTUALENV)" && "$(PYTHON_BIN)" manage.py collectstatic --no-input )

.PHONY: app_check_migrations
app_check_migrations:
	@if ! ( . "$(ACTIVATE_VIRTUALENV)" && "$(PYTHON_BIN)" manage.py makemigrations --no-input --dry-run --check ); then \
		echo; \
		echo "Error: Data model is not reflected in migrations." >&2; \
		echo "You probably forgot to run 'manage.py makemigrations' or have changed your models afterwards." >&2; \
		exit 1; \
	fi
