DIR_STATIC = $(DIR_BUILD)/core/static
DIR_RES = assets
DIR_NODE = node_modules

DEPS_ASSETS = $(shell find "$(DIR_RES)" -type f)
DEPS_WEBPACK = webpack.config.js

# static output files
STAMP_STATIC_WEBPACK = $(DIR_BUILD)/.static_webpack


$(DIR_NODE): package.json package-lock.json
	npm ci --no-progress
	touch -c "$(DIR_NODE)"

$(STAMP_STATIC_WEBPACK): $(DIR_NODE) $(DEPS_ASSETS) $(DEPS_WEBPACK)
	mkdir -p "$(DIR_STATIC)"
	npm run build
	touch "$(STAMP_STATIC_WEBPACK)"

.PHONY: assets_webpack
assets_webpack: $(STAMP_STATIC_WEBPACK)
