from django.forms.models import ModelForm
from moderation.models import ModerationItemSystem, Moderation


class ModerationForm(ModelForm):

    def __init__(self, *args, **kwargs):
        super(ModerationForm, self).__init__(*args, **kwargs)
        if self.instance.pk and self.instance.report:
            self.fields['name'].disabled = True
            self.fields['name'].required = False
            self.fields['name'].help_text = "Diese Moderation ist einem Beitrag \
            zugeordnet. Daher wird kein Titel hier gesetzt. \
            Die Moderation heißt so wie der zugeordnete Beitrag."

    class Meta:
        model = Moderation
        fields = {'name', 'note'}


class ModerationItemSystemForm(ModelForm):

    class Meta:
        model = ModerationItemSystem
        help_texts = {
            'length': 'Format: HH:MM:SS, kann bei Auswahl einer \
            Audiodatei leer gelassen werden, da mit dessen Wert überschreiben',
        }
        fields = {'folder', 'name', 'audiofile', 'length'}
