from copy import deepcopy


def adjust_gapfill_broadcasts(qs):

    # day has 0 or one result, nothing to check
    if len(qs) < 2:
        return qs

    broadcasts = list(qs)
    gapfills = []

    for bc in broadcasts:
        if bc.gapfill is True:
            gapfills.append(bc)
            broadcasts.remove(bc)

    # no gapfills to slice
    if len(gapfills) == 0:
        return qs

    res = []

    handle_bc = True  # handle either broadcasts or gapfills
    next_bc = True  # terminate flag gapfills
    next_gf = True  # terminate flag broadcasts
    i = 0  # index for broadcasts
    j = 0  # index for gapfills

    # init check time
    check_time = broadcasts[0].start_time
    # start with gapfil, if one starts before first broadcast
    if gapfills[0].start_time < check_time:
        handle_bc = False
        check_time = gapfills[0].start_time

    while next_bc or next_gf:

        # handle current broadcast
        if handle_bc:
            res.append(broadcasts[i])

            check_time = broadcasts[i].end_time

            # another broadcast that day
            if i + 1 < len(broadcasts):

                # gap to next broadcast, check for gapfil on next iteration
                if broadcasts[i].end_time < broadcasts[i + 1].start_time and \
                   gapfills[j].end_time >= broadcasts[i].end_time:
                    handle_bc = False
                i += 1

            # no more broadcast, check for gapfill on next iteration
            else:
                next_bc = False
                handle_bc = False

                # check current broadcast end time with latest gapfil end time
                delta = (gapfills[len(gapfills)-1].end_time
                         - broadcasts[i].end_time).total_seconds()
                # if less than a seconds, no more gapfills to handle
                # targes 23:59:00 versus 23:59:59 end times
                if delta < 60:
                    next_gf = False

        # handle gapfill
        else:

            # current gapfil starts after checktime
            if gapfills[j].start_time > check_time:
                check_time = gapfills[j].start_time

                # current broadcast started on/before checktime:
                # switch to broadcast mode on next iteration
                if broadcasts[i].start_time <= check_time:
                    handle_bc = True
                    check_time = broadcasts[i].start_time

            # point to next gapfill as current one ended before check time
            elif gapfills[j].end_time < check_time:
                if j < len(gapfills):
                    j = j + 1

            # make broadcast from current gapfill
            else:
                # only handle if gapfill end time is later than one minute to check time
                # e.g. skip  checktime = 23:59:00 and gapfill end 23:59:59
                if (gapfills[j].end_time - check_time).total_seconds() >= 1:

                    gf = deepcopy(gapfills[j])
                    gf.start_time = check_time
                    gf.end_time = gapfills[j].end_time

                    # set gapfill end time to start of next broadcast, if before its end time
                    if next_bc and i < len(broadcasts) and \
                       broadcasts[i].start_time <= gapfills[j].end_time:
                        gf.end_time = broadcasts[i].start_time
                        handle_bc = True

                    # check current broadcast end time with latest gapfil end time
                    delta = (gapfills[len(gapfills)-1].end_time - gf.end_time).total_seconds()
                    # if less than a seconds, no more gapfills to handle
                    # targes 23:59:00 versus 23:59:59 end times
                    if delta < 60:
                        next_gf = False

                    check_time = gf.end_time
                    res.append(gf)

                else:
                    # on last gapfil element, finish for gapfills
                    if j+1 == len(gapfills):
                        next_gf = False
                    else:
                        j += 1

                if broadcasts[i].start_time > check_time:
                    check_time = broadcasts[i].start_time
                    handle_bc = True

    return res
