# Generated by Django 2.2.4 on 2019-09-05 10:17

from django.db import migrations


def copy_image_paths(apps, schema_editor):
    Image = apps.get_model('core', 'Image')
    Broadcast = apps.get_model('program', 'Broadcast')
    RadioProgram = apps.get_model('program', 'RadioProgram')

    for model_class in (Broadcast, RadioProgram):
        for model in model_class.objects.all():
            if model.cover_image:
                image = Image.objects.create(image_file=model.cover_image)
                model.cover_image_new = image
                model.save()


class Migration(migrations.Migration):

    dependencies = [
        ('program', '0036_auto_20190905_1217'),
        ('core', '0015_image'),
    ]

    operations = [
        migrations.RunPython(copy_image_paths),
    ]
