from datetime import datetime, time
import pytz

from lohrothek import settings


def query_broadcasts_of_day(queryset, date, gapfill=True):
    min_datetime = datetime.combine(date, time.min)
    max_datetime = datetime.combine(date, time.max)

    min_datetime = pytz.timezone(settings.TIME_ZONE).localize(min_datetime)
    max_datetime = pytz.timezone(settings.TIME_ZONE).localize(max_datetime)

    qs = queryset.filter(start_time__lt=max_datetime).filter(end_time__gt=min_datetime)

    if gapfill is False:
        qs = qs.filter(gapfill=False)

    return qs
