from django import template
from program.models import WEEKDAYS_BITCHOICE, WEEKDAYS, REFERENCE_WEBSITE_TYPES,\
    Broadcast
import pytz
from lohrothek import settings

register = template.Library()


@register.filter(name='weekday')
def weekday(value):
    d = [b for k, b in WEEKDAYS if k == value]
    return d[0]


@register.filter(name='bitweekdays')
def bitweekdays(value):
    if int(value) == 0:
        return
    return ', '.join(WEEKDAYS_BITCHOICE.get_selected_values(value))


@register.filter(name='singleweekday')
def singleweekday(value):
    if int(value) == 0:
        return True
    return len(WEEKDAYS_BITCHOICE.get_selected_values(value)) == 1


@register.filter(name='progref')
def progref(value):
    return dict(REFERENCE_WEBSITE_TYPES).get(value)


@register.filter(name='broadcastairtime')
def broadcastairtime(value: Broadcast):
    start = value.start_time.astimezone(pytz.timezone(settings.TIME_ZONE))
    end = value.end_time.astimezone(pytz.timezone(settings.TIME_ZONE))
    return start.strftime("%a, %d.%m.%y %H:%M") + "–" + end.strftime("%H:%M")
