from django.forms import CheckboxSelectMultiple
from program.models import WEEKDAYS_BITCHOICE


class BitChoiceWidget(CheckboxSelectMultiple):

    template_name = 'django/forms/widgets/select_multiple.html'
    option_template_name = 'django/forms/widgets/checkbox.html'

    def render(self, name, value, attrs=None, renderer=None):
        value = WEEKDAYS_BITCHOICE.get_selected_keys(value)
        return super(BitChoiceWidget, self).render(name, value, attrs, renderer)

    def value_from_datadict(self, data, files, name):
        """
        Given a dictionary of data and this widget's name, return the value
        of this widget or None if it's not provided.
        """
        value = super(BitChoiceWidget, self).value_from_datadict(data, files, name)

        if not data.__contains__(name):
            value = 0
        else:
            value = sum([int(x) for x in value])
        return value
