from django.conf import settings
from django.urls import include, path
from rest_framework.routers import DefaultRouter

from rest_api.frontend.views import BroadcastViewSet, ProgramViewSet, RenderImageView, \
        ReportViewSet, StreamAudiofileView, TagViewSet, BroadcastDayViewSet, BroadcastItemsViewSet
from django.urls.conf import re_path

router = DefaultRouter(trailing_slash=settings.APPEND_SLASH)

router.register(r'broadcasts', BroadcastViewSet)
router.register(r'recordings', ReportViewSet)
router.register(r'series', ProgramViewSet)
router.register(r'tags', TagViewSet)

urlpatterns = [
    path('', include(router.urls)),
    path('audiofiles/<int:pk>/stream', StreamAudiofileView.as_view(), name='stream-audiofile'),
    re_path(r'^broadcasts/day/(?P<date>[0-9]{4}-?[0-9]{2}-?[0-9]{2})$',
            BroadcastDayViewSet.as_view(), name='day-broadcasts'),
    path('broadcasts/<int:pk>/items', BroadcastItemsViewSet.as_view(), name='broadcast-items'),
    path('images/<int:pk>/render', RenderImageView.as_view(), name='render-image'),

]
